# Obtain information on security policy - DescribeSecurityPoliciesV2

## Overview

Obtain information about security policies, and you can simultaneously get the binding relationship between security policies and traditional and application load balancer listeners.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeSecurityPoliciesV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **SecurityPolicyId** | string | Security Policy ID |No|
| **Limit** | int | Data Pagination Value |No|
| **Offset** | int | Data Offset |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*SecurityPolicyInfo*](#securitypolicyinfo)] | Security policy list, see SecurityPolicyInfo for details of each parameter. |No|
| **TotalCount** | int | Total number of security policies that meet the conditions |No|

#### Data Model


#### SecurityPolicyInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **SecurityPolicyId** | string | Security Policy ID |No|
| **SecurityPolicyName** | string | Security Policy Name |No|
| **TLSVersion** | string | Minimum TLS Version |No|
| **SSLCiphers** | array[string] | Encryption Suite |No|
| **SecurityPolicyType** | int | Security policy type 0: Predefined 1: Custom |No|
| **Relations** | array[[*SecurityPolicyRelation*](#securitypolicyrelation)] | Associated Listener |No|

#### SecurityPolicyRelation

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **LoadBalancerId** | string | ID of the Load Balancing Instance |No|
| **ListenerId** | string | Listener's ID |No|
| **ListenerName** | string | Name of the Listener |No|
| **ListenerPort** | int | Monitor Port |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeSecurityPoliciesV2
&Region=cn-zj
&ProjectId=NadrKrEQ
&SecurityPolicyId=mBHSWzVg
&Limit=1
&Offset=6
```

### Response Example
    
```json
{
  "Action": "DescribeSecurityPoliciesV2Response",
  "DataSet": [
    {
      "SSLCiphers": [
        "RQnVrFsU"
      ],
      "SecurityPolicyId": "ZYQSwjis",
      "SecurityPolicyName": "yhoxriGI",
      "SecurityPolicyType": 1,
      "TLSVersion": "hjBjlvYd",
      "VServerSet": [
        {
          "Port": 6,
          "ULBId": "UhNxiXbM",
          "VServerId": "VuGFmING",
          "VServerName": "vBKoaTLx"
        }
      ]
    }
  ],
  "RetCode": 0,
  "TotalCount": 3
}
```





